Get Upload
curl --request GET \
--url https://api.mixpeek.com/v1/buckets/{bucket_identifier}/uploads/{upload_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mixpeek.com/v1/buckets/{bucket_identifier}/uploads/{upload_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mixpeek.com/v1/buckets/{bucket_identifier}/uploads/{upload_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Uploads
Get Upload
Retrieve an upload by its ID.
Use this to check upload status, get S3 key, or retrieve created object_id after confirmation.
Presigned URLs: Set return_presigned_urls=true query parameter to generate fresh presigned download URLs (default: false).
The presigned URLs expire after 1 hour and allow direct download from S3.
GET
/
v1
/
buckets
/
{bucket_identifier}
/
uploads
/
{upload_id}
Get Upload
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the bucket
The unique identifier of the upload
Query Parameters
Generate fresh presigned download URLs for all blobs with S3 storage
Response
Successful Response
Was this page helpful?
⌘I

